MetricSetControllerAddReplaceHierarchyOnMetricSet Method

POST /MetricSet/AddReplaceHierarchy/{id} Adds the specified element + hierarchy to the metric set, or if the element is already on the metric set, updates it to use the hierarchy given.

Namespace:  Dundas.BI.WebApi.Controllers
Assembly:  Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax
[HttpPostAttribute]
[ActionNameAttribute("AddReplaceHierarchy")]
public IActionResult AddReplaceHierarchyOnMetricSet(
	Guid id,
	[FromBodyAttribute] AddReplaceHierarchyOptions options,
	Guid? sessionId = null
)

Parameters

id
Type: SystemGuid
The ID of the metric set to add the element to.
options
Type: Dundas.BI.WebApi.ModelsAddReplaceHierarchyOptions
The options for adding/replacing this element to the metric set.
sessionId (Optional)
Type: SystemNullableGuid
Current session ID.

Return Value

Type: IActionResult
A MetricSetData object containing the updated metric set data, or a status code indicating the problem.
See Also